Debian Bug report logs - #608255
bc uses uninitialized memory

version graph

Package: bc; Maintainer for bc is Ryan Kavanagh <rak@debian.org>; Source for bc is src:bc.

Reported by: Pádraig Brady <P@draigBrady.com>

Date: Wed, 29 Dec 2010 10:39:01 UTC

Severity: normal

Tags: patch

Found in version 1.06.95

Fixed in version bc/1.06.95-3

Done: jhasler@debian.org (John G. Hasler)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jhasler@debian.org (John G. Hasler):
Bug#608255; Package bc. (Wed, 29 Dec 2010 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pádraig Brady <P@draigBrady.com>:
New Bug report received and forwarded. Copy sent to jhasler@debian.org (John G. Hasler). (Wed, 29 Dec 2010 10:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pádraig Brady <P@draigBrady.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bc uses uninitialized memory
Date: Wed, 29 Dec 2010 10:11:07 +0000
Package: bc
Version: 1.06.95
Tags: patch

bc depends on uninitialized mem:

echo "e(1)" | MALLOC_PERTURB_=1 bc -l
echo "e(1)" | MALLOC_PERTURB_=0 bc -l
2.71828182845904523536

This fixes it:

--- storage.c.orig      2010-12-21 19:43:14.663540110 +0000
+++ storage.c   2010-12-21 19:42:01.392540111 +0000
@@ -99,6 +99,7 @@
    {
       f = &functions[indx];
       f->f_defined = FALSE;
+      f->f_void = FALSE;
       f->f_body = (char *) bc_malloc (BC_START_SIZE);
       f->f_body_size = BC_START_SIZE;
       f->f_code_size = 0;




Reply sent to jhasler@debian.org (John G. Hasler):
You have taken responsibility. (Sat, 30 Jun 2012 21:36:06 GMT) Full text and rfc822 format available.

Notification sent to Pádraig Brady <P@draigBrady.com>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 21:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 608255-close@bugs.debian.org (full text, mbox):

From: jhasler@debian.org (John G. Hasler)
To: 608255-close@bugs.debian.org
Subject: Bug#608255: fixed in bc 1.06.95-3
Date: Sat, 30 Jun 2012 21:33:16 +0000
Source: bc
Source-Version: 1.06.95-3

We believe that the bug you reported is fixed in the latest version of
bc, which is due to be installed in the Debian FTP archive:

bc_1.06.95-3.diff.gz
  to main/b/bc/bc_1.06.95-3.diff.gz
bc_1.06.95-3.dsc
  to main/b/bc/bc_1.06.95-3.dsc
bc_1.06.95-3_amd64.deb
  to main/b/bc/bc_1.06.95-3_amd64.deb
dc_1.06.95-3_amd64.deb
  to main/b/bc/dc_1.06.95-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John G. Hasler <jhasler@debian.org> (supplier of updated bc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Jun 2012 21:00:45 -0500
Source: bc
Binary: bc dc
Architecture: source amd64
Version: 1.06.95-3
Distribution: unstable
Urgency: low
Maintainer: John G. Hasler <jhasler@debian.org>
Changed-By: John G. Hasler <jhasler@debian.org>
Description: 
 bc         - GNU bc arbitrary precision calculator language
 dc         - GNU dc arbitrary precision reverse-polish calculator
Closes: 472250 488735 558188 608255
Changes: 
 bc (1.06.95-3) unstable; urgency=low
 .
   * Applied patch from Pádraig Brady.
     Closes: #608255: bc uses uninitialized memory
 .
   * Applied patch from Paul Dwerryhouse.
     Closes: #472250: please return support for .dcrc file
 .
   * Applied patch from Ian Jackson.
     Closes: #488735: notice read and write errors on input and output
 .
   * Generated bc.html and dc.html but something is still wrong.
 .
   * Added homepage field to debian/control.
 .
   * I can't see the problem with hyphens.
 .
   * Fixed doc-base white space.
 .
   * Added watch file.
 .
   * I believe that the above changes deal with 558188.
     Closes: #558188: Changes made in 1.06.94-3.1 NMU have been lost
Checksums-Sha1: 
 809a5ed3b1af58ac7844d3ba500e9d604f3b3f2d 1755 bc_1.06.95-3.dsc
 d1e505e0bff7e17abbae3e9159cdfe60aabf7bb7 15241 bc_1.06.95-3.diff.gz
 0b88da3789aa7ebbe2c88b61e2cae8feb46b58e2 110556 bc_1.06.95-3_amd64.deb
 53fb2e58352dcea282de14ff09575f2f5d46f0cd 70018 dc_1.06.95-3_amd64.deb
Checksums-Sha256: 
 6aa67970635db9dd336a7edf811a78ad2d0aa6256d017feabeaa93bba0478726 1755 bc_1.06.95-3.dsc
 85db9b5c0cde9a99cb9385c3ae7f3557c1fc8f2b92f29a57f8226aa0d121082d 15241 bc_1.06.95-3.diff.gz
 07f8c4a0b981cf083beca27d060de3cf030b4ed8e784e3c250326eabdd277f0f 110556 bc_1.06.95-3_amd64.deb
 ba2d98827099f03389b60736ce99b246a3bc5ebfa0c119ea8c4c0d1c2aea5443 70018 dc_1.06.95-3_amd64.deb
Files: 
 47eb09839eb11898c97b24b6e1841c54 1755 math standard bc_1.06.95-3.dsc
 0b14c93836efab196939b57de47711d5 15241 math standard bc_1.06.95-3.diff.gz
 581c2cf4c267dbe3cc496001fe3edcaa 110556 math standard bc_1.06.95-3_amd64.deb
 a45ae1d23ef1080f0657dee8fae9d814 70018 math standard dc_1.06.95-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJP71CGAAoJEHNAHjW0+9ql2rkP/0RVVUCD88Drls2TP2JfJ/AY
Ihoso+1Smaa8m5IaX5j3do/94kWZzPrnsqukW8kyKLoRFHYs0QiL+ULvPA9SwYwo
t9nGYNsIQ6K2y4K2EPzTSDMDPi3a6EzNNpUUQ+IIfJUJT9owTmbeFThS1NeXIVRc
2dp8skzt1MB2j3bPodDyAKjihM7sUY+Q/EcKF99m+YzYJIzdvPsrlMn41rDlUbFS
qYS0FsDi3K8/FOtgIxAu74H4RsSdkfCniD45G+59cGJc3vnSPTKzmZRyLALEtqMY
DjScFJR0tabd4ptDIP7C19EMvExN0kBGSTavDRbhLMpBtGY/fT/53istGwy1v+EE
uSd5LctMx0x/jt+W5kArvGjbpKq+wVF7qWKXlojmyXjmwqnHpSWXlhv1NV8OmOmc
BlQ19RUFMtlVVY74W+hQYFFZrFsv/OwLGDC9k8ldVZQKqFDG2/FLVy/+yO2qSEnn
3jx/jUhRXCDESoUpzQa853JbqJg8MJ2GUVU1wHWe52PCS4+oAWP0uNZoXZ586okA
QIqskt24F899AyRHEtmLjZ1XZBa9CGhvfUEAD9M3gCUWDvIWFgvFxj1n14dwEefg
/Xo4fKjt7n3QShXg27PYjpe8qRebOvOV9MkGrzMAk9PV+PFIkcCjob/09GXtr5fo
lL/Qh1G9oxa3iSGH2ujh
=VpMq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:31:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:41:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.